import axios from '../utils/http';
import base from './base'
const api = {
    /**
     * 注册
     */
    regist(params) {
        return axios.post(base.baseUrl + base.regist, params)
    },

    /**
     * 检测账号是否存在
     */
    passportExists(params) {
        return axios.post(base.baseUrl + base.passportExists, params)
    },

    /**
     * 发送验证码
     * reason 参数 : regist, forgetPwd, bindMobile, changePwd
     */
    sendSms(params) {
        return axios.post(base.baseUrl + base.sendSms, params)
    },
}

export default api